Page MenuHomeFreeBSD

net/tigervnc: update 1.8.0 -> 1.9.0 While here, * Adjust USE_XROG
ClosedPublic

Authored by meta on Jul 19 2018, 3:03 AM.
Tags
None
Referenced Files
F88252955: D16340.diff
Sat, Jul 13, 2:47 AM
Unknown Object (File)
Sat, Jul 6, 10:13 PM
Unknown Object (File)
Sat, Jul 6, 6:56 AM
Unknown Object (File)
Thu, Jun 20, 12:14 PM
Unknown Object (File)
Jun 3 2024, 10:57 AM
Unknown Object (File)
May 29 2024, 11:07 PM
Unknown Object (File)
May 27 2024, 12:57 PM
Unknown Object (File)
May 25 2024, 11:10 AM
Subscribers
None

Details

Summary

Approved by: ? (mentor)
Relnotes: https://github.com/TigerVNC/tigervnc/releases/tag/v1.9.0
#Differential Revision:

I'm planning to separate the port into tigervnc-server and tigervnc-viewer
but just updating at this time.

Test Plan
  • no new warnings by portlint -AC
  • poudriere testbuild finished successfully @112amd64
  • confirmed it actually works

Diff Detail

Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 18152
Build 17887: arc lint + arc unit

Event Timeline

remove other port's diff

remove tridiavnc from CONFLICTS since the port no longer exists

remove tridiavnc from CONFLICTS

I've test-build, and it looks good. Two small things:

  • The USES-line is almost 80chars long and already has a \ to the following line. Can you move one more element to the next line ?
  • The IGNORE for -devel needs to higher up in the Makefile, see portlint's complaints
This revision is now accepted and ready to land.Jul 20 2018, 7:19 AM
  • bring IGNORE line earlier
  • more one more USES element to the next line
This revision now requires review to proceed.Jul 20 2018, 8:07 AM
This revision was not accepted when it landed; it landed in state Needs Review.Jul 20 2018, 8:17 AM
This revision was automatically updated to reflect the committed changes.

Committed, thanks for your review.